let x = 10;
let y = 10;
const speed = 2; // wie schnell bewegt sich das Rechteck
const d = 40; // Breite & Höhe des Rechtecks

// Angaben bzgl. des Bilder "dingbat.png"
let dingbat;

function preload() {
  dingbat = loadImage("p/dingbat.svg");
}

function setup() {
  // Breiten- und Höhen-Angabe nur relevant für Proportionen
  // CSS sorgt dafür, dass Canvas volle Breite des div#canvasContainer einnimmt
  const meinCanvas = createCanvas(600, 300);

  // das Div mit der ID "canvasContainer"
  meinCanvas.parent("canvasContainer");

  frameRate(30);

  // Angaben zum Aussehen des Rechtecks
  noStroke();
  fill("#fff");

  // Angaben zur Schrift
  textFont("Roboto Slab"); // hier auch der Webfont von Google!
  textAlign(RIGHT);
  textSize(48);
}

function draw() {
  // https://de.wikipedia.org/wiki/HSV-Farbraum
  background("hsl(200, 50%, 80%)");

  text("Responsive Canvas", width - 20, 60);

  // das dingbat-Bild
  image(dingbat, width - 75, height - 80, 70, 75);

  rect(x, y, 40, 40);

  if (y < height) {
    x = x + speed;
  } else {
    x = 0;
  }

  // y soll immer den gleichen Wert wie x haben
  y = x;
}
